package com.platform.form;

import java.util.List;

import com.platform.utils.page.Page;


/** 查询数据的 form对象，接收查询条件
 * @author chen
 *
 */
public class PagerOptions extends Page{
//	private Integer currentPageNum = 1; //当前页码
	
//	private Integer totalLimit; //当前页前面已有多少条数据
	
	private Integer priorTableSize; //前一次操作一页显示的数据条数

//	private Integer limit; //一次查询返回记录条数

	private String dataType; //数据类型

	private String submittedBatch;  //数据批次
 
	private String cityName;  //城市名称
	
	/**
	 * 数据库类型
	 */
	private String dataBaseType; 

	private String districtName; //区县名

	private Integer dataVersion;  //数据版本

	private String systemName;  //系统名称

	private String dataYear; // 数据年度
	
	private Integer offset; // 查询偏移量：起始id
	
	private String keyQuery;
	//模糊查询字段
	private List<String> array;
	
	private String volumeType;
	//冷热区字段
	private String mark;

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public String getSubmittedBatch() {
		return submittedBatch;
	}

	public void setSubmittedBatch(String submittedBatch) {
		this.submittedBatch = submittedBatch;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	/**
	 * @return the dataBaseType
	 */
	public String getDataBaseType() {
		return dataBaseType;
	}

	/**
	 * @param dataBaseType the dataBaseType to set
	 */
	public void setDataBaseType(String dataBaseType) {
		this.dataBaseType = dataBaseType;
	}

	public String getDistrictName() {
		return districtName;
	}

	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	public Integer getDataVersion() {
		return dataVersion;
	}

	public void setDataVersion(Integer dataVersion) {
		this.dataVersion = dataVersion;
	}

	public String getSystemName() {
		return systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public String getDataYear() {
		return dataYear;
	}

	public void setDataYear(String dataYear) {
		this.dataYear = dataYear;
	}

	public Integer getOffset() {
		return offset;
	}

	public void setOffset(Integer offset) {
		this.offset = offset;
	}

	public Integer getPriorTableSize() {
		return priorTableSize;
	}

	public void setPriorTableSize(Integer priorTableSize) {
		this.priorTableSize = priorTableSize;
	}

	/**
	 * @return the keyQuery
	 */
	public String getKeyQuery() {
		return keyQuery;
	}

	/**
	 * @param keyQuery the keyQuery to set
	 */
	public void setKeyQuery(String keyQuery) {
		this.keyQuery = keyQuery == null ? null: keyQuery.trim();
	}

	/**
	 * @return the array
	 */
	public List<String> getArray() {
		return array;
	}

	/**
	 * @param array the array to set
	 */
	public void setArray(List<String> array) {
		this.array = array;
	}

	/**
	 * @return the volumeType
	 */
	public String getVolumeType() {
		return volumeType;
	}

	/**
	 * @param volumeType the volumeType to set
	 */
	public void setVolumeType(String volumeType) {
		this.volumeType = volumeType;
	}

	/**
	 * @return the mark
	 */
	public String getMark() {
		return mark;
	}

	/**
	 * @param mark the mark to set
	 */
	public void setMark(String mark) {
		this.mark = mark;
	}
	
}
